/* モーダル */
.modal-overlay {
  align-items: center;
  background: rgba(0,0,0,.6);
  bottom: 0;
  display: flex;
  justify-content: center;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 100;
  -webkit-overflow-scrolling: touch;

}

.modal-container {
  background-color: #fff;
  max-height: 80vh;
  max-width: 1000px;
  overflow-y: auto;
  padding: 30px;
  width: 80%;
  -webkit-overflow-scrolling: touch;
}
@media screen and (max-width: 767px) {
  .modal-container {
  max-height: 70vh;
}
}
.modal-header {
  align-items: center;
  display: flex;
  justify-content: space-between;
}
.modal-title{
  font-size: 2.4rem;
  margin: 0;
}
@media screen and (max-width: 767px) {
  .modal-container {
  padding: 20px;
}

.modal-title{
  font-size: 1.8rem;
}
}
.modal-close_wrap{
  width: 100%;
  position: fixed;
  background: #000;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
}

.modal-close {
  border: 0;
  position: absolute;
  top: 10px;
  right: 10px;
  width: 40px;
  height: 40px;
  cursor: pointer;
  border-radius: 50%;
}


.modal-close::before, .modal-close::after { /* 共通設定 */
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 3px; /* 棒の幅（太さ） */
  height: 30px; /* 棒の高さ */
  background: #fff;
  border-radius: 2.5px; /* 棒の四隅の丸み*/
}
.modal-close::before {
  transform: translate(-50%,-50%) rotate(45deg);
}
.modal-close::after {
  transform: translate(-50%,-50%) rotate(-45deg);
}
.modal-content {
  margin-bottom: 2rem;
  margin-top: 2rem;
  -webkit-overflow-scrolling: touch;
}


/*modalコンテンツ*/
.modal .column{
  padding: 0 1.25em;
}
.graph {
    margin: 2em 1em;
    padding: 1.5em;
    border: solid 1px #666;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    gap: 0 50px;
}
.graph .graphTitle {
    display: inline-block;
    border: solid 1px #666;
    margin: 0;
    padding: .25em 1em;
    line-height: 1.5;
}
.graph .quote {
    font-size: 0.9em;
    line-height: 1.4;
}
@media screen and (max-width: 767px) {
.modal .column{
  font-size: 15px;
  padding: 0;
}
  .modal .column img{
    max-width: 100%;
  }  .graph {
    margin: 1.5em 0;
    padding: 1em;
    flex-direction: column;
  }
  .graph .graphTitle {
    padding: 0 .8em;
  }

  .graph .quote {
    font-size: 12px;
  }
}
.modal-content h4{
  font-size: 2rem;
  line-height: 1.5;
  background: #f0f0f2;
  padding: 1rem;
  border-radius: 4px;
}
.modal-content h4:nth-child(n+3) {
  margin-top: 5rem;
}

.modal-content h5{
  font-size: 2rem;
}
.modal-content .column h5:nth-child(n+3) {
  margin-top: 5rem;
}
.modal-content h5::after{
    content: "";
    display: block;
    height: 4px;
    width: 2em;
    background-color: #333;
    margin-top: 10px;
}
.modal-content h6{
  font-size: 1.8rem;
  font-weight: 700;
  margin: 0;
}
.modal-content .num{
    text-indent: -2.5em;
    margin-left: 2.5em;
}
.modal-content .image_box{
  text-align: center;
  margin: 30px;
}
@media screen and (max-width: 767px) {
  .modal-content h4{
    font-size: 1.6rem;
    margin: 0;
  }
  .modal-content h5{
  font-size: 1.6rem;
  margin-bottom: 1rem;
}
.modal-content h5::after{
  margin-top: 6px;
}
.modal-content h6{
  font-size: 1.6rem;
  margin-top: 1em;
}
.modal-content .num{
  margin-top: 0;
  margin-bottom: 0;
}
.modal-content .image_box{
  margin: 30px 0;
}
}

.modal-content .container{
  display: flex;
  gap: 10px 24px;
  margin: 0 auto;
}
 @media screen and (max-width: 767px) {
  .modal-content .container{
    flex-direction: column;
  }
  .modal-content dd{
    margin-left: 1em;
    line-height: 1.5;
    margin-bottom: 8px;
  }
  .modal-content .s-fsS{
    font-size: 12px !important;
  }
 }
.modal-content .container .--image{
  flex-shrink: 0;
}
.modal-content .container.--flex-between{
  justify-content: space-between;
}
.modal-content .container.--flex-center{
 justify-content: center;
}
.modal-content .container table{
  width: 300px;
}
.modal-content table{
  width: 100%;
}
.modal-content table,
.modal-content td,
.modal-content th {
  border: solid 1px #CCC;
  border-collapse: collapse;
}

.modal-content table th, .modal-content table td {
  text-align: left;
  padding: 0.3em;
  background: #FFF;
  line-height: 1.3;
  font-size: 0.9em;
}

.modal-content table th {
  font-weight: normal;
  background: #f4f3f1;
  width: 50%;
}

/* モーダルアニメーション */
@keyframes mmfadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes mmfadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes mmslideIn {
  from {
    transform: translateY(15%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes mmslideOut {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-10%);
  }
}

.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
}

.micromodal-slide[aria-hidden="false"] .modal-overlay {
  animation: mmfadeIn .3s cubic-bezier(.0, .0, .2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal-container {
  animation: mmslideIn .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal-overlay {
  animation: mmfadeOut .3s cubic-bezier(.0, .0, .2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal-container {
  animation: mmslideOut .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide .modal-container,
.micromodal-slide .modal-overlay {
  will-change: transform;
}